org.gradle.nativebinaries.toolchain

## Interface ToolChainRegistry

- All Superinterfaces:
    Collection<ToolChain>, org.gradle.util.Configurable<NamedDomainObjectContainer<ToolChain>>, DomainObjectCollection<ToolChain>, ExtensiblePolymorphicDomainObjectContainer<ToolChain>, Iterable<ToolChain>, NamedDomainObjectCollection<ToolChain>, NamedDomainObjectContainer<ToolChain>, NamedDomainObjectSet<ToolChain>, PolymorphicDomainObjectContainer<ToolChain>, Set<ToolChain>

      @Incubating
      public interface ToolChainRegistry
      extends ExtensiblePolymorphicDomainObjectContainer<ToolChain>

  A container for `ToolChain`s.

- - ### Method Summary

    - ### Methods inherited from interface org.gradle.api.ExtensiblePolymorphicDomainObjectContainer

      `registerBinding, registerFactory, registerFactory`

    - ### Methods inherited from interface org.gradle.api.PolymorphicDomainObjectContainer

      `containerWithType, create, create, maybeCreate`

    - ### Methods inherited from interface org.gradle.api.NamedDomainObjectContainer

      `configure, create, create, create, maybeCreate`

    - ### Methods inherited from interface org.gradle.api.NamedDomainObjectSet

      `findAll, matching, matching, withType`

    - ### Methods inherited from interface org.gradle.api.NamedDomainObjectCollection

      `add, addAll, addRule, addRule, findByName, getAsMap, getAt, getByName, getByName, getNamer, getNames, getRules`

    - ### Methods inherited from interface org.gradle.api.DomainObjectCollection

      `all, all, whenObjectAdded, whenObjectAdded, whenObjectRemoved, whenObjectRemoved, withType, withType`

    - ### Methods inherited from interface java.util.Collection

      `clear, contains, containsAll, equals, hashCode, isEmpty, iterator, remove, removeAll, retainAll, size, toArray, toArray`

    - ### Methods inherited from interface java.util.Set

      `add, addAll, clear, contains, containsAll, equals, hashCode, isEmpty, iterator, remove, removeAll, retainAll, size, toArray, toArray`